## pystache 0.6.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXPROJ    = MAVConn
SOURCEDIR     = source
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pystache 0.5.3

=== debian/changelog ===
pystache (0.5.3-2ubuntu1) trusty; urgency=medium

  * d/rules: `$python3 setup.py build` already runs 2to3, so don't run
    it twice.  Doing so breaks a test (since a raw string is produced
    where a normal string is needed).

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 24 Mar 2014 20:22:23 -0400

pystache (0.5.3-2build2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:10 +0000

pystache (0.5.3-2build1) trusty; urgency=medium

  * Rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 20:57:18 +0100

pystache (0.5.3-2) unstable; urgency=low

  * Fixes depends on python3.2 which is going away (Closes: #722151)
    - debian/control: Change >= 3.2 to >= 3.3 of X-Python-Version. 
    - debian/rules: Modified to python2.7, python3.2 to the valiable.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 10 Sep 2013 11:52:51 +0900

pystache (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #653862)
  * debian/patches:
    - exception_arguments: Append try/except to main()
    - update_egg-info: Append setup.cfg to SOURCES.txt

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 01 Aug 2013 10:05:53 +0900

=== debian/control ===
Source: pystache
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python-nose, python3-all, python3-setuptools, python3-nose
Standards-Version: 3.9.4
X-Python-Version: 2.7, >= 3.3
Homepage: http://github.com/defunkt/pystache

Package: python-pystache
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python implementation of Mustache
 Pystache is Python implementation of Mustache.
 Original Mustache is a framework-agnostic, logic-free templating system
 inspired by ctemplate and et. Like ctemplate, Mustache "emphasizes separating
 logic from presentation: it is impossible to embed application logic in this
 template language."

Package: python3-pystache
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 implementation of Mustache
 Pystache is Python3 implementation of Mustache.
 Original Mustache is a framework-agnostic, logic-free templating system
 inspired by ctemplate and et. Like ctemplate, Mustache "emphasizes separating
 logic from presentation: it is impossible to embed application logic in this
 template language."

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS  := $(shell pyversions -d)
PY3VERS := $(shell py3versions -d)

%:
	dh $@ --with python2,python3


override_dh_auto_build:
	$(PYVERS) setup.py build --build-base=build2 && \
	$(PY3VERS) setup.py build --build-base=build3

override_dh_auto_test:
	nosetests -d build2 && \
	nosetests3 -d build3

override_dh_auto_install:
	$(PYVERS) setup.py install --no-compile -O0 --install-layout=deb \
	--root $(CURDIR)/debian/python-pystache && \
	$(PY3VERS) setup.py install --no-compile -O0 --install-layout=deb \
	--root $(CURDIR)/debian/python3-pystache && \
	2to3 -w $(CURDIR)/debian/python3-pystache

override_dh_python2:
	dh_python2 && \
	rm -f $(CURDIR)/debian/python-pystache/usr/bin/pystache-test && \
	rm -rf $(CURDIR)/debian/python-pystache/usr/share/pyshared/pystache/tests && \
	rm -rf $(CURDIR)/debian/python-pystache/usr/lib/$(PYVERS)/dist-packages/pystache/tests

override_dh_python3:
	dh_python3 && \
	mv -f $(CURDIR)/debian/python3-pystache/usr/bin/pystache $(CURDIR)/debian/python3-pystache/usr/bin/pystache3 && \
	rm -rf $(CURDIR)/debian/python3-pystache/usr/bin/pystache-test && \
	rm -rf $(CURDIR)/debian/python3-pystache/usr/share/pyshared/pystache/tests && \
	rm -rf $(CURDIR)/debian/python3-pystache/usr/lib/python3/dist-packages/pystache/tests/

override_dh_auto_clean:
	$(PYVERS) setup.py clean --build-temp=build && \
	$(PYVERS) setup.py clean --build-temp=build2 && \
	$(PY3VERS) setup.py clean --build-temp=build3 && \
	dh_clean

## pystache 0.5.4

=== debian/changelog ===
pystache (0.5.4-6) unstable; urgency=medium

  * debian/control 
    - Standards-Version: Bumps version to 3.9.8. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 11 Oct 2016 16:19:50 +0900

pystache (0.5.4-5) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed duplicate-changelog-files.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 01 Jul 2015 12:45:47 +0900

pystache (0.5.4-4) experimental; urgency=medium

  * debian/watch
    - Updated new url. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 19 Apr 2015 07:17:30 +0900

pystache (0.5.4-3) unstable; urgency=medium

  * debian/control
    - Standards-Version: Bump version to 3.9.6. 
    - Build-Depends: Removed quilt.
  * debian/copyright
    - Fixed space-in-std-shortname-in-dep5-copyright.
      * Changed shartname The MIT License to Expat.
  * Applied pybuild.
    - debian/control
      * Build-Depends: Appended dh-python
    - debian/rules
      * Appended "--buildsystem=pybuild" option to dh command.
      * Removed override_dh_auto_install, override_dh_auto_clean,
        override_dh_auto_build
      * Changed override_dh_auto_test.
    - debian/patches
      * Removed update_egg-info.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 02 Nov 2014 20:28:51 +0900

pystache (0.5.4-2) unstable; urgency=medium

  * Rebuild to drop python3.3 dependencies (Closes: #751644)
    - Set shebang for dh_python3 to /usr/bin/python3 to avoid python3.x
      version specific depend.
    - Thanks Scott Kitterman <scott@kitterman.com> for NMU.
      I had missed his NMU 0.5.3-4.1, I have applied the same fix again.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 20 Jul 2014 00:46:22 +0900

pystache (0.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 19 Jul 2014 14:43:04 +0900

pystache (0.5.3-4) unstable; urgency=medium

  * debian/rules:
    - Append "set -e" on loop statement.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 11 Apr 2014 01:03:59 +0900

pystache (0.5.3-3) unstable; urgency=medium

  * Fixed FTBFS Tests failed (#735833, #739598)
    - Thanks to David Suárez <david.sephirot@gmail.com> for reporting,
      Thomas Goirand <zigo@debian.org> for advising,
      Matthias Klose <doko@ubuntu.com> for reporting and providing patch.
    - debian/rules:
      * Removed calling 2to3.
      * Removed "&& \" on each lines.
    - debian/control:
      * X-Python-Version: Removed ">= 3.3"
      * Build-Depends: Removed python-nose and python3-nose and append quilt.
      * Starndards-Version: Bump version.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 09 Apr 2014 21:17:54 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: pystache
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0), python-all, python-setuptools, python-nose, python3-all, python3-setuptools, python3-nose
-Standards-Version: 3.9.4
-X-Python-Version: 2.7, >= 3.3
+Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
+Build-Depends: debhelper (>= 8.0.0),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python3-all,
+               python3-setuptools
+Standards-Version: 3.9.8
+X-Python-Version: 2.7
 Homepage: http://github.com/defunkt/pystache
 
 Package: python-pystache

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pystache

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/HISTORY.md

override_dh_python2:
	dh_python2
	find $(CURDIR)/debian -name pystache-test -type f -delete
	find $(CURDIR)/debian -name tests -type d | xargs rm -rf
	find $(CURDIR)/debian -name "HISTORY.md" -delete

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	mv -f $(CURDIR)/debian/python3-pystache/usr/bin/pystache $(CURDIR)/debian/python3-pystache/usr/bin/pystache3
	find $(CURDIR)/debian -name pystache-test -type f -delete
	find $(CURDIR)/debian -name tests -type d | xargs rm -rf
	find $(CURDIR)/debian -name "HISTORY.md*" -delete

override_dh_auto_test:
	set -e ;\
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/pystache/commands/test.py" \
	dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pystache/pystache-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pystache 0.6.0

=== debian/changelog ===
pystache (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: Set Maintainer to Debian Python Team; Closes: #998407.
  * d/watch: Remove filenamemangle

  [ Helmut Grohne ]
  * Mark python3-pystache Multi-Arch: foreign; Closes: #980420.

 -- Bastian Germann <bage@debian.org>  Wed, 24 Nov 2021 00:24:20 +0100

pystache (0.5.4+git20211029.e71b777-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to new upstream; Closes: #998404, #997647.

 -- Bastian Germann <bage@debian.org>  Wed, 03 Nov 2021 19:44:21 +0100

pystache (0.5.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937548

 -- Sandro Tosi <morph@debian.org>  Fri, 20 Dec 2019 18:01:35 -0500

=== debian/control ===
Source: pystache
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all:any,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/python-team/packages/pystache
Vcs-Git: https://salsa.debian.org/python-team/packages/pystache.git
Homepage: https://github.com/PennyDreadfulMTG/pystache

Package: python3-pystache
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 implementation of Mustache
 Pystache is Python3 implementation of Mustache.
 Original Mustache is a framework-agnostic, logic-free templating system
 inspired by ctemplate and et. Like ctemplate, Mustache "emphasizes separating
 logic from presentation: it is impossible to embed application logic in this
 template language."

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,10 @@
 export PYBUILD_NAME=pystache
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/HISTORY.md
-
-override_dh_python2:
-	dh_python2
-	find $(CURDIR)/debian -name pystache-test -type f -delete
-	find $(CURDIR)/debian -name tests -type d | xargs rm -rf
-	find $(CURDIR)/debian -name "HISTORY.md" -delete
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## pystache 0.6.5

=== debian/changelog ===
pystache (0.6.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  [routine-update]
  * Standards-Version: 4.7.0
  * debhelper-compat 13
  * Testsuite: autopkgtest-pkg-python
  * Remove trailing whitespace in debian/{changelog,copyright}
  * Build-Depends: s/dh-python/dh-sequence-python3/
  * Rules-Requires-Root: no

  [ Janitor]
  * Remove patch update_egg-info that is missing from debian/patches/series.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Jun 2024 17:53:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=pystache
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs $(CURDIR)/HISTORY.md

=== debian/watch ===
version=4
https://github.com/PennyDreadfulMTG/pystache/tags .*/v@ANY_VERSION@\.tar\.gz

## pystache 0.6.8

=== debian/changelog ===
pystache (0.6.8-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Jan 2026 17:30:00 +0100

pystache (0.6.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Aug 2025 17:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: pystache
 Section: python
-Priority: optional
+Testsuite: autopkgtest-pkg-python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all:any,
-               python3-setuptools
-Standards-Version: 3.9.8
+               python3-setuptools,
+               python3-setuptools-scm,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pystache
 Vcs-Git: https://salsa.debian.org/python-team/packages/pystache.git
 Homepage: https://github.com/PennyDreadfulMTG/pystache
